namespace _2024._02._12;

class Szavazatok
{
    public List<string> Szavazat;

    public Szavazatok(List<string> szavazat)
    {
        Szavazat = szavazat;
    }

    public void Feladat2()
    {
        System.Console.WriteLine($"A helyhatósági választáson {Szavazat.Count()} képviselőjelölt indult.");
    }

    public void Feladat3()
    {
        System.Console.WriteLine("Kérek egy vezetéknevet");
        string vnev = Console.ReadLine();

        System.Console.WriteLine("Kérek egy keresztnevet");
        string knev = Console.ReadLine();

        string teljesnev = $"{vnev} {knev}";

        bool response = false;

        string[] line = {};

        foreach(var data in Szavazat)
        {
            if(data.Contains(teljesnev))
            {
                line = data.Split(' ');
                response = true;
                break;
            }
        }

        if(response)
        {
            System.Console.WriteLine($"{teljesnev} képviselőjelölt {line[1]} szavazatot kapott.");
        }

        else
        {
            System.Console.WriteLine("Ilyen nevű képviselőjelölt nem szerepel a nyilvántartásban.");
        }
    }

    public void Feladat4()
    {
        double allampolgar = 0;
        foreach(var data in Szavazat)
        {
            string[] line = data.Split(' ');
            allampolgar += Convert.ToInt32(line[1]);
        }

        double szazalek = Math.Round(allampolgar / 12345 * 100, 2);

        System.Console.WriteLine($"A választáson {allampolgar} állampolgár, a jogosultak {szazalek}%-a vett részt.");
    }

    public void Feladat5()
    {
        double gyep = 0;
        double hep = 0;
        double tisz = 0;
        double zep = 0;
        double fuggetlen = 0;

        foreach(var data in Szavazat)
        {
            string[] line = data.Split(' ');
            if(String.Equals(line[4], "GYEP"))
            {
                gyep += Convert.ToInt32(line[1]);
            }
            
            else if(String.Equals(line[4], "HEP"))
            {
                hep += Convert.ToInt32(line[1]);
            }

            else if(String.Equals(line[4], "TISZ"))
            {
                tisz += Convert.ToInt32(line[1]);
            }

            else if(String.Equals(line[4], "ZEP"))
            {
                zep += Convert.ToInt32(line[1]);
            }

            else
            {
                fuggetlen += Convert.ToInt32(line[1]);
            }
        }

        System.Console.WriteLine($"Gyümölcsevők Pártja: {Math.Round(gyep / 12345 * 100, 2)}%");
        System.Console.WriteLine($"Húsevők Pártja: {Math.Round(hep / 12345 * 100, 2)}%");
        System.Console.WriteLine($"Tejivók Szövetsége: {Math.Round(tisz / 12345 * 100, 2)}%");
        System.Console.WriteLine($"Zöldségevők Pártja: {Math.Round(zep / 12345 * 100, 2)}%");
        System.Console.WriteLine($"Független jelöltek: {Math.Round(fuggetlen / 12345 * 100, 2)}%");
    }

    public void Feladat6()
    {
        
    }
}